Announcement

Collapse
No announcement yet.

User CP error?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • User CP error?

    I'm no techie! I've run into a problem with my vB version 3.0.3 software. On my forum http://100ffc.com/forum/ I've run into an error when users are trying to access their "User CP". The error message is shown below. I have updated/replaced all files from my backup already, but the error persists. Please advise.
    ______
    Database error in vBulletin 3.0.3:

    Invalid SQL:
    SELECT thread.threadid, thread.forumid
    FROM vb3_thread AS thread, vb3_subscribethread AS subscribethread
    LEFT JOIN vb3_deletionlog AS deletionlog ON(deletionlog.primaryid = thread.threadid AND type = 'thread')
    WHERE subscribethread.threadid = thread.threadid
    AND subscribethread.userid = 1
    AND thread.visible = 1
    AND lastpost > 1211472558
    AND deletionlog.primaryid IS NULL

    mysql error: Unknown column 'thread.threadid' in 'on clause'

    mysql error number: 1054

    Date: Thursday 22nd 2008f May 2008 12:31:07 PM
    Script: http://100ffc.com/forum/usercp.php?
    Referer: http://100ffc.com/forum/

  • #2
    Unfortunately this error means that you host has upgraded MySQL to a version that is not compatible with vB 3.0.3. The only viable fix is to upgrade to at least vB 3.6.10m which you should do anyway since vB 3.0 is no longer supported and there are security issues with it.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      Can I upgrade to 3.6 with purchasing a new license?

      Comment


      • #4
        If your license is active you can upgrade to the latest version of vB.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          I purchased the version 3.0.3 when it was current, several years ago. I am no longer able to access the Members area. How can I renew at the $30/year rate?

          Comment


          • #6
            I have resent the license info to the address on file for this license. If you do not get it or you have changed your address, please fill out a sales contact form here:

            http://www.vbulletin.com/go/sales
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Great! Thanks for your assistance! I hope the upgrade solves the problem.

              Comment


              • #8
                I presume my error is for the same reason? I only shifted the database within the same host though.
                -----------------------------



                Database error in vBulletin 3.0.7:

                Invalid SQL:
                SELECT thread.threadid, thread.forumid
                FROM thread AS thread, subscribethread AS subscribethread
                LEFT JOIN deletionlog AS deletionlog ON(deletionlog.primaryid = thread.threadid AND type = 'thread')
                WHERE subscribethread.threadid = thread.threadid
                AND subscribethread.userid = 724
                AND thread.visible = 1
                AND lastpost > 1211536939
                AND deletionlog.primaryid IS NULL

                mysql error: Unknown column 'thread.threadid' in 'on clause'

                mysql error number: 1054

                Comment


                • #9
                  You also have to upgrade to at least 3.6.10.
                  Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                  Change CKEditor Colors to Match Style (for 4.1.4 and above)

                  Steve Machol Photography


                  Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                  Comment


                  • #10
                    Hi,
                    I also have the same error. I purchased the software sometime ago as well. I don't even know where my license info is at this point. How can I check my license info with VB?

                    Also, is the upgrade / copying threads / posts to the new version very difficult?

                    Comment


                    • #11
                      Please start your own thread with all the relevant details. Thank you.
                      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                      Change CKEditor Colors to Match Style (for 4.1.4 and above)

                      Steve Machol Photography


                      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                      Comment

                      widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                      Working...
                      X